#!/bin/bash

# $1 - revision number to checkout.
: ${1?"You must either provide desired revision number \"X\" to checkout: `basename $0` X
                                or fetch the latest revision by: `basename $0` HEAD"}

set -e

tmp=$(mktemp -d)

trap cleanup EXIT
cleanup() {
    set +e
    [ -z "$tmp" -o ! -d "$tmp" ] || rm -rf "$tmp"
}

unset CDPATH
pwd=$(pwd)
name=fedora-jam-backgrounds
version=0.0.1

pushd "$tmp" >/dev/null
echo "Fetching git revision: $1"
git clone git://git.fedorahosted.org/music-creation.git/ music-creation |tee $name.stdout
pushd music-creation
git reset --hard $1
mv fedora-jam-backgrounds/src/ ../$name-$version
popd
echo "Fetched git revision: $1"
rm -f $name.stdout

tar -c --xz -f "$pwd"/$name-$version-git$1.tar.xz $name-$version 
echo "Written: $name-$version-git$1.tar.xz"
popd >/dev/null
